## liblqr 0.1.0

=== docs/Makefile ===
name = liblqr_manual
source = $(name).docbook
dest = html/index.html
main = $(name).html

stylesheet = lqr_style.xsl
redir = redir-html

.PHONY : all sgml xml


all: xml

#sgml : $(dest)

#$(dest): $(source)
#	docbook2html $(source) -o html

xml: $(main)

$(main) : $(dest)
	cp -f $(redir) $(main)

$(dest): $(source) $(stylesheet)
	[ -d html ] || mkdir html
	cd html; \
	xsltproc ../$(stylesheet) ../$(source)

clean:
	rm -f html/* $(main)

=== examples/Makefile ===
#
# Makefile example for liquidrescale (lqr) library
# 
# This is thought for exemplification purposes.
# It will only work if you have already installed
# the lqr library, the pngwriter and all their 
# required dependencies (glib, z, png, freetype).
#
# It does not perform any kind of check on the system,
# and won't report any sensible error message.
#


# set the sources file name
tt1 = liquidrescale
tt2 = liquidrescale-basic
# objects to build
tt1obj = $(tt1).o
tt2obj = $(tt2).o
# executable names
tt1out = liquidrescale
tt2out = liquidrescale-basic


# collect flags for the compiler for lqr library
LQR_CFLAGS = `pkg-config --cflags lqr-1`

LQR_LIBS = `pkg-config --libs lqr-1`

LQR_LIBDIR = `pkg-config --variable=libdir lqr-1`

# collect flags for pngwriter library
PNGWRITER_CFLAGS = `freetype-config --cflags` 

PNGWRITER_LIBS = -lpng -lpngwriter -lz -lfreetype 

# join the flags collected above
INCLUDES = \
	$(LQR_CFLAGS) \
	$(PNGWRITER_CFLAGS)

LIBDIRS = \
	  -L$(LQR_LIBDIR)

LIBS = \
       $(LQR_LIBS) \
       $(PNGWRITER_LIBS)

# define the flags to use in the various compilation steps
BASE_FLAGS = -Winline -O2 -Wall
OBJ_BUILD_FLAGS = $(BASE_FLAGS) $(INCLUDES) $(LIBDIRS) 
LINKING_FLAGS = $(OBJ_BUILD_FLAGS) $(LIBS) 

# compilation rules

.PHONY : all clean

all: $(tt1out) $(tt2out)

# linking
$(tt1out) : $(tt1obj)
	g++ $(LINKING_FLAGS) -o $(tt1out) $(tt1obj)

$(tt2out) : $(tt2obj)
	g++ $(LINKING_FLAGS) -o $(tt2out) $(tt2obj)

# object building
$(tt1).o : $(tt1).cpp $(tt1).h
	g++ -c $(OBJ_BUILD_FLAGS) $(tt1).cpp

$(tt2).o : $(tt2).cpp
	g++ -c $(OBJ_BUILD_FLAGS) $(tt2).cpp

#cleanup
clean:
	rm -f *~ ctags $(tt1obj) $(tt2obj) $(tt1out) $(tt2out)

## liblqr 0.4.1

=== examples/Makefile ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 PNGWRITER_LIBS = -lpng -lpngwriter -lz -lfreetype 
 
+# collect flags for the compiler for glib thread support
+GTHREAD_LIBS = `pkg-config --libs gthread-2.0`
+
 # join the flags collected above
 INCLUDES = \
 	$(LQR_CFLAGS) \
@@ -44,7 +47,8 @@
 
 LIBS = \
        $(LQR_LIBS) \
-       $(PNGWRITER_LIBS)
+       $(PNGWRITER_LIBS) \
+       $(GTHREAD_LIBS)
 
 # define the flags to use in the various compilation steps
 BASE_FLAGS = -Winline -O2 -Wall

## liblqr 0.4.2

=== docs/Makefile ===
name = liblqr_manual
source = $(name).docbook
dest = html/index.html
dest_op = $(name)_onepage.html
dest_man = man3/lqr_carver_new.3
dest_dist_man = ../man/lqr_carver_new.3
main = $(name).html

stylesheet = lqr_style.xsl
stylesheet_op = lqr_style_onepage.xsl
stylesheet_man = lqr_style_man.xsl
redir = redir-html

.PHONY : all sgml xml onepage man dist-man clean-dist-man

all: html

dist: html onepage dist-man

#sgml : $(dest)

#$(dest): $(source)
#	docbook2html $(source) -o html

html: $(main)

$(main) : $(dest)
	cp -f $(redir) $(main)

$(dest): $(source) $(stylesheet)
	[ -d html ] || mkdir html
	cd html; \
	xsltproc ../$(stylesheet) ../$(source)

man : $(dest_man)

$(dest_man) : $(source) $(stylesheet_man)
	[ -d man3 ] || mkdir man3
	xsltproc -o man3/ $(stylesheet_man) $(source)

onepage: $(dest_op)
	
$(dest_op): $(source) $(stylesheet_op)
	xsltproc -o $(dest_op) $(stylesheet_op) $(source)

dist-man : $(dest_dist_man)

$(dest_dist_man) : man
	[ -d ../man ] || mkdir ../man; \
	rm ../man/*; \
	cp man3/*.3 ../man; \
	./gen-man-makefile.am

clean:
	rm -f html/* man3/* $(main) $(dest_op)

clean-dist-man:
	rm -f ../man/*.3

=== debian/changelog ===
liblqr (0.4.2-2) unstable; urgency=medium

  * [fea32719] Use debian source format 3.0 (quilt)
  * [4d8cb620] Run dh_autoreconf to support new architectures.
    Thanks to Breno Leitao (Closes: #757815)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 Aug 2014 01:12:02 +0200

liblqr (0.4.2-1) unstable; urgency=medium

  * [7038c1a1] Fixing watch file.
  * [0d1f2b1f] Merge tag 'upstream/0.4.2'
    Upstream version 0.4.2
  * [e1fd1c94] Manpages went missing in upstream source.
    Don't install them.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Aug 2014 11:41:12 +0200

liblqr (0.4.1-2) unstable; urgency=low

  * [72c1e4e5] Ack NMU.
    Thanks to Luk Claes (Closes: #619672)
  * [ad26247b] Multiarchify liblqr.
    Thanks to Helmut Grohne (Closes: #675909)
  * [599662ad] Remove Sandro from Uploaders. (Closes: #634183)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jun 2012 18:40:42 +0200

liblqr (0.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #619672).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 18:30:44 +0200

liblqr (0.4.1-1) unstable; urgency=low

  * [fac8a658] Adding git-buildpackage configuration.
  * [3ed4d619] Imported Upstream version 0.4.1

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 May 2009 10:50:48 +0200

liblqr (0.4.0-1) unstable; urgency=low

  * [6ca66abd] Sanity check for the right soname in debian/rules.
  * [a9be65c1] Imported Upstream version 0.4.0
  * [553e2ae0] Updating symbols file.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2009 17:32:33 +0200

liblqr (0.3.1-1) unstable; urgency=low

  * New Upstream Version
    This is a bugfix release. It fixes a serious bug with 16bit images
    (therefore, it is actually irrelevant to GIMP users, not so for other
    programs such as ImageMagick and DigiKam). 
  * debian/rules: Be pendantic about symbol changes.
  * debian/control:
    - Bump Standards-Version.
    - Move liblqr-1-0-dbg into the debug section. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Apr 2009 01:57:00 +0200

liblqr (0.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - updated my email address
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch
    - updated to match new upstream tarball name

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/liblqr-1-0.symbols:
    - Updating symbols file to match the symbols in the updated library.
  * debian/copyright:
    - Linking to GPL-3 and adding 'Copyright' for the Debian packaging
      to make lintian happy.
  * debian/control:
    - Removing duplicate section entry.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Mar 2009 02:14:40 +0100

liblqr (0.2.0-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch:
    - Updating watch file to fit the new filename. 
  * debian/liblqr-1-0.symbols:
    - In the last version of the library several symbols were not marked as
      private by upstream, they are missing now. As the library is new and
      only used by one Gimp plugin now and the abi did not change for the
      plugin, there was no soname bump.
  * debian/rules:
    - Install manpages on build.
  * debian/liblqr-1-0-dev.manpages:
    - Adding file, instaaling devel manpages into the -dev package. 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Oct 2008 11:28:43 +0200

liblqr (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #483046)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 01 Jun 2008 18:51:33 +0200

=== debian/control ===
Source: liblqr
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3~), autotools-dev, xsltproc, docbook-xsl, docbook-xml, pkg-config, libglib2.0-dev (>= 2.0.0), dh-autoreconf
Standards-Version: 3.8.1
Section: libs
Homepage: http://liblqr.wikidot.com/
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-liblqr.git;a=summary
Vcs-Git: git://git.recluse.de/debian/pkg-liblqr.git

Package: liblqr-1-0-dev
Section: libdevel
Architecture: any
Depends: liblqr-1-0 (= ${binary:Version})
Provides: liblqr-dev
Conflicts: liblqr-dev
Description: converts plain array images into multi-size representation (developments files)
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the development files.

Package: liblqr-1-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: multiarch-support
Description: converts plain array images into multi-size representation
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the shared library.

Package: liblqr-1-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblqr-1-0 (= ${binary:Version})
Description: converts plain array images into multi-size representation (debug package)
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the debug information of shared library found in
 liblqr-1-0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Package name
PACKAGE=liblqr-1-0


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

#library versions
LIB_version_number := $(shell grep '^libgps_la_LDFLAGS' Makefile.am | sed 's,.*-version-number ,,')
LIB_version_number := $(shell grep LTVERSION= configure | sed 's,.*LTVERSION=,,g')
LIB_version_current := $(shell echo $(LIB_version_number) | awk -F : '{print $$1}')
LIB_version_revision := $(shell echo $(LIB_version_number) | awk -F : '{print $$2}')
LIB_version_age := $(shell echo $(LIB_version_number) | awk -F : '{print $$3}')
LIB_soname := $(shell expr $(LIB_version_current) - $(LIB_version_age))
LIB_version := $(LIB_soname).$(LIB_version_age).$(LIB_version_revision)



config.status: configure
	dh_testdir
	dh_autoreconf
	./configure $(CROSS) --prefix=/usr CFLAGS="$(CFLAGS)" --libdir=/usr/lib/$(strip $(shell dpkg-architecture -qDEB_HOST_MULTIARCH))\
		LDFLAGS="-Wl,-z,defs" 

build: build-stamp
build-stamp: config.status 
	dh_testdir

	#sanity check to ensure we have the right soname in debian/control
	grep liblqr-1-$(LIB_soname) debian/control

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) -C docs all

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -C docs clean

	rm -rf docs/html

	# restore upstream version of config.{sub,guess}
	dh_autoreconf_clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	# we install all in debian/tmp, in $PKG.install we separate files
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs	ChangeLog
	dh_install		--sourcedir=debian/tmp -X.la --list-missing
	dh_installdocs
	dh_installexamples	examples/*
	dh_installman
	dh_strip		--dbg-package=$(PACKAGE)-dbg
	dh_compress
	dh_fixperms
	# needed to create shlibs file
	dh_makeshlibs -- -c4
	dh_installdeb
	dh_shlibdeps		-Lliblqr-1-0 -l$(CURDIR)/debian/$(PACKAGE)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://liblqr.wikidot.com/en:download-page http://.*/liblqr-1-(.*)\.tar\.bz2
